

**************************************************************
                *Data prepare: Social Networks and Parental Behavior in the 
					*Intergenerational Transmission of Religion *     
                           * Eleonora Patacchini Yves Zenou                             
**************************************************************
**                                                            
**  YEAR:    2015                  
**                                                            
**                                                            
**  Input Data Sets: wave1.dta	 
**  Output: db2 (temp) dbn                                  
**                                       
**                                    
**                                                            
**  Description:  Data prepare: Social Networks and Parental Behavior in the 
					*Intergenerational Transmission of Religion * 
					* Eleonora Patacchini Yves Zenou
** 
                              	
**  Date first written: August 2, 2011
**  Date this vesrion:  December 30, 2015
***************************************************************


clear all

cd ""
use ""

****individual socio-demographic variables**********


gen grade_eng=h1ed11
replace grade_eng=. if h1ed11>4

gen grade_math=h1ed12
replace grade_math=. if h1ed12>4

gen grade_hist=h1ed13
replace grade_hist=. if h1ed13>4

gen grade_sci=h1ed14
replace grade_sci=. if h1ed14>4

egen av_gpa=rowmean(grade_eng grade_math grade_hist grade_sci)

factor grade_eng grade_math grade_hist grade_sci
predict fact_gpa


/*Interviewer, please confirm that Rs sex is (male) female.
(Ask if necessary.) BIO_SEX num 1
10264 1 R is male
10480 2 R is female
1 6 refused
1 8 dont know*/

gen female = (bio_sex==2)
replace female =. if bio_sex== 6 | bio_sex==8

rename smp01 core_flag
rename smp02 disabled_flag
rename smp03 hblacks_flag
rename smp04 cuban_flag
rename smp05 pr_flag
rename smp06 china_flag

/*Black or African American H1GI6B num 1
15898 0 not marked
4807 1 marked
13 6 refused
27 8 dont know
1 9 not applicable*/

gen race=.
replace race=1 if h1gi6a==1
replace race=2 if h1gi6b==1
replace race=3 if h1gi6c==1
replace race=4 if h1gi6d==1
replace race=5 if h1gi6e==1
replace race=. if h1gi8!=7

replace race=1 if h1gi8 ==1
replace race=2 if h1gi8 ==2
replace race=3 if h1gi8 ==3
replace race=4 if h1gi8 ==4
replace race=5 if h1gi8 ==5


gen white=(race==1)
gen black_african=(race==2)
gen native=(race==3)
gen asian=(race==4)
gen other_races=(race==5)

gen other_races_bis= other_races
replace other_races_bis= 1 if asian==1
replace other_races_bis = 1 if native ==1

gen latino=h1gi4
replace latino=. if h1gi4==6 | h1gi4==8



gen student_grade= h1gi20

replace student_grade=. if h1gi20==96 |h1gi20==97 | h1gi20==98 | h1gi20==99

tab student_grade, gen (d_grade)

/*If S.1,Q.18 = vyes,v ask Q.11-24.
11. At the {MOST RECENT GRADING
#PERIOD/LAST GRADING PERIOD IN THE
#SPRING}, what was your grade in English or
#language arts? H1ED11 num 2
#5307 1 A
#7408 2 B
#4853 3 C
#2196 4 D or lower
#254 5 didnv?t take this subject
#193 6 took the subject, but it wasnv?t graded this way
#17 96 refused
#408 97 legitimate skip
#107 98 donv?t know
#3 99 not applicable

#12. And what was your grade in mathematics? H1ED12 num 2
#4744 1 A
#5862 2 B
#4905 3 C
#3333 4 D or lower
#1197 5 didnv?t take this subject
#201 6 took the subject, but it wasnv?t graded this way
#15 96 refused
#408 97 legitimate skip
#78 98 donv?t know
#3 99 not applicable

#13. And what was your grade in history or social
#studies? H1ED13 num 2
#5527 1 A
#5966 2 B
#4054 3 C
#2241 4 D or lower
#2272 5 didnv?t take this subject
#163 6 took the subject, but it wasnv?t graded this way
#17 96 refused
#408 97 legitimate skip
#94 98 donv?t know
#4 99 not applicable

#14. And what was your grade in science? H1ED14 num 2
#5207 1 A
#5764 2 B
#4359 3 C
#2413 4 D or lower
#2328 5 didnv?t take this subject
#167 6 took the subject, but it wasnv?t graded this way
#16 96 refused
#408 97 legitimate skip
#81 98 donv?t know
#3 99 not applicable#*/


gen math_score_A= (h1ed12== 1)
replace math_score_A=0 if h1ed12==96 |h1ed12==97 | h1ed12==98 | h1ed12==99 | h1ed12==5 | h1ed12==6

gen math_score_B=(h1ed12== 2)
replace math_score_B=0 if h1ed12==96 |h1ed12==97 | h1ed12==98 | h1ed12==99 | h1ed12==5 | h1ed12==6

gen math_score_C=(h1ed12== 3)
replace math_score_C=0 if h1ed12==96 |h1ed12==97 | h1ed12==98 | h1ed12==99 | h1ed12==5 | h1ed12==6

gen math_score_D_lower=(h1ed12== 4)
replace math_score_D_lower=0 if h1ed12==96 |h1ed12==97 | h1ed12==98 | h1ed12==99 | h1ed12==5 | h1ed12==6

****D reference category

gen math_score_missing =0
replace math_score_missing=1 if h1ed12==96 |h1ed12==97 | h1ed12==98 | h1ed12==99 | h1ed12==5 | h1ed12==6



****family background

/*FIRST HOUSEHOLD MEMBER
For each household member, ask Q.2-11, as appropriate.
2. Is {NAME} male or female? H1HR2A num 1
7928 1 male
12730 2 female
26 6 refused
45 7 legitimate skip (respondent lives alone)
16 8 dont know
1 9 not ap plicable*/

****generate variable household size

gen household1= (h1hr2a== 1 | h1hr2a== 2)
replace household1=. if h1hr2a==6 | h1hr2a==8 | h1hr2a==9

gen household2= (h1hr2b== 1 | h1hr2b== 2)
replace household2=. if h1hr2b==6 | h1hr2b==8 | h1hr2b==9

gen household3= (h1hr2c== 1 | h1hr2c== 2)
replace household3=. if h1hr2c==6 | h1hr2c==8 | h1hr2c==9

gen household4= (h1hr2d== 1 | h1hr2d== 2)
replace household4=. if h1hr2d==6 | h1hr2d==8 | h1hr2d==9

gen household5= (h1hr2e== 1 | h1hr2e== 2)
replace household5=. if h1hr2e==6 | h1hr2e==8 | h1hr2e==9

gen household6= (h1hr2f== 1 | h1hr2f== 2)
replace household6=. if h1hr2f==6 | h1hr2f==8 | h1hr2f==9

gen household7= (h1hr2g== 1 | h1hr2g== 2)
replace household7=. if h1hr2g==6 | h1hr2g==8 | h1hr2g==9

gen household8= (h1hr2h== 1 | h1hr2h== 2)
replace household8=. if h1hr2h==6 | h1hr2h==8 | h1hr2h==9

gen household9= (h1hr2i== 1 | h1hr2i== 2)
replace household9=. if h1hr2i==6 | h1hr2i==8 | h1hr2i==9

gen household10= (h1hr2j== 1 | h1hr2j== 2)
replace household10=. if h1hr2j==6 | h1hr2j==8 | h1hr2j==9

gen household11= (h1hr2k== 1 | h1hr2k== 2)
replace household11=. if h1hr2k==6 | h1hr2k==8 | h1hr2k==9

gen household12= (h1hr2l== 1 | h1hr2l== 2)
replace household12=. if h1hr2l==6 | h1hr2l==8 | h1hr2l==9

gen household13= (h1hr2m== 1 | h1hr2m== 2)
replace household13=. if h1hr2m==6 | h1hr2m==8 | h1hr2m==9

gen household14= (h1hr2n== 1 | h1hr2n== 2)
replace household14=. if h1hr2n==6 | h1hr2n==8 | h1hr2n==9

gen household15= (h1hr2o== 1 | h1hr2o== 2)
replace household15=. if h1hr2o==6 | h1hr2o==8 | h1hr2o==9

gen household16= (h1hr2p== 1 | h1hr2p== 2)
replace household16=. if h1hr2p==6 | h1hr2p==8 | h1hr2p==9

gen household17= (h1hr2q== 1 | h1hr2q== 2)
replace household17=. if h1hr2q==6 | h1hr2q==8 | h1hr2q==9

gen household18= (h1hr2r== 1 | h1hr2r== 2)
replace household18=. if h1hr2r==6 | h1hr2r==8 | h1hr2r==9

gen household19= (h1hr2s== 1 | h1hr2s== 2)
replace household19=. if h1hr2s==6 | h1hr2s==8 | h1hr2s==9

gen household20= (h1hr2t== 1 | h1hr2t== 2)
replace household20=. if h1hr2t==6 | h1hr2t==8 | h1hr2t==9

egen household_size= rowtotal(household1  household2 household3 household4 household5 household6/*
*/  household7  household8  household9  household10  household11  household12  household13  household14  household15 /*
*/ household16 household17 household18 household19 household20)
 

/*[Hand R show card 10.] What is {NAME}s relationship to
you? H1HR3A num 2
57 1 wife or husband [skip to Q.7]
92 2 partner [skip to Q.7]
15 3 son
19 4 daughter
1355 5 brother [skip to Q.5]
4 6 brothers w ife [skip to Q.7]
5 7 brothers partner [skip to Q.7]
1325 8 sister [skip to Q.5]
10 9 sisters husband [skip to Q.7]
4 10 sisters partner [skip to Q.7]
5815 11 father [skip to Q.6]
24 12 fathers w ife [skip to Q.7]
10 13 fathers partner [skip to Q.7]
10349 14 mother [skip to Q.6]
111 15 mothers husband [skip to Q.7]
38 16 mothers partner [skip to Q.7]
6 17 father-in-law [skip to Q.7]
4 18 mother-in-law [skip to Q.7]
126 19 grandfather [skip to Q.7]
492 20 grandmother [skip to Q.7]
1 21 great-grandfather [skip to Q.7]
12 22 great-grandmother [skip to Q.7]
78 23 uncle [skip to Q.7]
205 24 aunt [skip to Q.7]
112 25 cousin [skip to Q.7]
9 26 nephew [skip to Q.7]
9 27 niece [skip to Q.7]
45 28 other relative [skip to Q.7]
323 29 other non-relative [skip to Q.7]
28 96 refused [skip to Q.7]
45 97 legitim ate skip
17 98 dont know [skip to Q.7]
1 99 not ap plicable [skip to Q.7]*/

*****generate variable married parents

gen parent1= (h1hr3a== 11 | h1hr3a== 14 | h1hr3a== 17   | h1hr3a== 18)
replace parent1=. if h1hr3a== 96 | h1hr3a==97 | h1hr3a==98  | h1hr3a==99

gen parent2= (h1hr3b== 11 | h1hr3b== 14 | h1hr3b== 17   | h1hr3b== 18)
replace parent2=. if h1hr3b== 96 | h1hr3b==97 | h1hr3b==98  | h1hr3b==99

gen parent3= (h1hr3c== 11| h1hr3c== 14  | h1hr3c== 17   | h1hr3c== 18)
replace parent3=. if h1hr3c== 96 | h1hr3c==97 | h1hr3c==98  | h1hr3c==99

gen parent4= (h1hr3d== 11  | h1hr3d== 14 | h1hr3d== 17   | h1hr3d== 18)
replace parent4=. if h1hr3d== 96 | h1hr3d==97 | h1hr3d==98  | h1hr3d==99

gen parent5= (h1hr3e== 11 | h1hr3e== 14 | h1hr3e== 17   | h1hr3e== 18)
replace parent5=. if h1hr3e== 96 | h1hr3e==97 | h1hr3e==98  | h1hr3e==99

gen parent6= (h1hr3f== 11 | h1hr3f== 14 | h1hr3f== 17   | h1hr3f== 18)
replace parent6=. if h1hr3f== 96 | h1hr3f==97 | h1hr3f==98  | h1hr3f==99

gen parent7= (h1hr3g== 11  | h1hr3g== 14  | h1hr3g== 17   | h1hr3g== 18)
replace parent7=. if h1hr3g== 96 | h1hr3g==97 | h1hr3g==98  | h1hr3g==99

gen parent8= (h1hr3h== 11  | h1hr3h== 14 | h1hr3h== 17   | h1hr3h== 18)
replace parent8=. if h1hr3h== 96 | h1hr3h==97 | h1hr3h==98  | h1hr3h==99

gen parent9= (h1hr3i== 11 | h1hr3i== 14  | h1hr3i== 17   | h1hr3i== 18)
replace parent9=. if h1hr3i== 96 | h1hr3i==97 | h1hr3i==98  | h1hr3i==99

gen parent10= (h1hr3j== 11  | h1hr3j== 14  | h1hr3j== 17   | h1hr3j== 18)
replace parent10=. if h1hr3j== 96 | h1hr3j==97 | h1hr3j==98  | h1hr3j==99

gen parent11= (h1hr3k== 11  | h1hr3k== 14 | h1hr3k== 17   | h1hr3k== 18)
replace parent11=. if h1hr3k== 96 | h1hr3k==97 | h1hr3k==98  | h1hr3k==99

gen parent12= (h1hr3l== 11  | h1hr3l== 14 | h1hr3l== 17   | h1hr3l== 18)
replace parent12=. if h1hr3l== 96 | h1hr3l==97 | h1hr3l==98  | h1hr3l==99

gen parent13= (h1hr3m== 11  | h1hr3m== 14 | h1hr3m== 17   | h1hr3m== 18)
replace parent13=. if h1hr3m== 96 | h1hr3m==97 | h1hr3m==98  | h1hr3m==99

gen parent14= (h1hr3n== 11  | h1hr3n== 14  | h1hr3n== 17   | h1hr3n== 18)
replace parent14=. if h1hr3n== 96 | h1hr3n==97 | h1hr3n==98  | h1hr3n==99

gen parent15= (h1hr3o== 11  | h1hr3o== 14  | h1hr3o== 17   | h1hr3o== 18)
replace parent15=. if h1hr3o== 96 | h1hr3o==97 | h1hr3o==98  | h1hr3o==99

gen parent16= (h1hr3p== 11 | h1hr3p== 14 | h1hr3p== 17   | h1hr3p== 18)
replace parent16=. if h1hr3p== 96 | h1hr3p==97 | h1hr3p==98  | h1hr3p==99

gen parent17= (h1hr3q== 11 | h1hr3q== 14  | h1hr3q== 17   | h1hr3q== 18)
replace parent17=. if h1hr3q== 96 | h1hr3q==97 | h1hr3q==98  | h1hr3q==99

gen parent18= (h1hr3r== 11  | h1hr3r== 14 | h1hr3r== 17   | h1hr3r== 18)
replace parent18=. if h1hr3r== 96 | h1hr3r==97 | h1hr3r==98  | h1hr3r==99

gen parent19= (h1hr3s== 11  | h1hr3s== 14 | h1hr3s== 17   | h1hr3s== 18)
replace parent19=. if h1hr3s== 96 | h1hr3s==97 | h1hr3s==98  | h1hr3s==99

gen parent20= (h1hr3t== 11 | h1hr3t== 14  | h1hr3t== 17   | h1hr3t== 18)
replace parent20=. if h1hr3t== 96 | h1hr3t==97 | h1hr3t==98  | h1hr3t==99



egen num_parent= rowtotal(parent1 parent2 parent3 parent4 parent5 parent6 /*
*/parent7  parent8 parent9 parent10 parent11 parent12 parent13 parent14/*
*/ parent15 parent16 parent17 parent18 parent19 parent20)
 
 
 
 gen two_parent = (num_parent==2)


/*1. How far in school did she go? H1RM1 num 2
1085 1 eighth grade or less
1939 2 more than eighth grade, but did not graduate from high school
148 3 went to a business, trade, or vocational school instead of high
school
5720 4 high school graduate
707 5 completed a GED
1237 6 went to a business, trade, or vocational school after high school
2447 7 went to college, but did not graduate
3640 8 graduated from a college or university
1459 9 professional training beyond a four-year college or university
32 10 She never went to school.
674 11 She went to school, but R doesnt know what level.
216 12 R doesnt know if she went to school.
12 96 refused
1256 97 legitimate skip
174 98 dont know*/

*H1RF1*


gen moth_edu = . 


replace moth_edu = 9 if  h1rm1==1 
replace moth_edu = 11 if  h1rm1==2 | h1rm1==3

replace moth_edu = 13 if  h1rm1==4 
replace moth_edu = 15 if h1rm1==5 | h1rm1==6 | h1rm1==7

replace moth_edu = 17 if  h1rm1==8 
replace moth_edu = 19 if  h1rm1==9

replace moth_edu = . if h1rm1==10 | h1rm1==11 | h1rm1==12 | h1rm1==96 | h1rm1==98


g moth_educ1= (moth_edu ==9 | moth_edu ==11 )
replace moth_educ1=. if moth_edu == .
replace moth_educ1=1 if h1rm1==10


g moth_educ2= (moth_edu ==13 | moth_edu ==15 )
replace moth_educ2=. if moth_edu == .


g moth_educ3= (moth_edu ==17 | moth_edu ==19 )
replace moth_educ3=. if moth_edu == .



g moth_ed1= (moth_edu ==9 | moth_edu ==11 )
replace moth_ed1=. if moth_edu == .
replace moth_ed1=1 if h1rm1==10


g moth_ed2= (h1rm1==4  | h1rm1==5 )
replace moth_ed2=. if moth_edu == .


g moth_ed3= (moth_edu ==17 | moth_edu ==19 | h1rm1==6 | h1rm1==7 )
replace moth_ed3=. if moth_edu == .

gen fath_edu = .

replace fath_edu = 9 if  h1rf1 ==1 
replace fath_edu = 11 if  h1rf1 ==2 | h1rf1 ==3

replace fath_edu = 13 if  h1rf1 ==4 
replace fath_edu = 15 if h1rf1 ==5 | h1rf1 ==6 | h1rf1 ==7

replace fath_edu = 17 if  h1rf1 ==8 
replace fath_edu = 19 if  h1rf1 ==9

replace fath_edu = . if h1rf1==10 | h1rf1 ==11 | h1rf1 ==12 | h1rf1 ==96 | h1rf1 ==98



gen pr_edu = fath_edu
replace pr_edu = moth_edu if fath_edu==.

egen pr_edu_max=rowmax(fath_edu moth_edu)


*********************************RELIGION W1********************************************************************



/*6. How often do you pray? H1RE6 num 1
8649 1 at least once a day
4303 2 at least once a week
1841 3 at least once a month
1622 4 less than once a month
1385 5 never
13 6 refused
2909 7 legitimate skip
24 8 dont know*/


g pray=h1re6

replace pray =. if h1re6==6 | h1re6==8

/*In the past 12 months, how often did you attend religious
services? H1RE3 num 1
7826 1 once a week or more
4006 2 once a month or more, but less than once a week
3639 3 less than once a month
2331 4 never
11 6 refused
2909 7 legitimate skip
23 8 dont know
1 9 not applicable*/


gen religion_practice_0 = h1re3
replace religion_practice_0=. if h1re3==6 | h1re3==8 | h1re3==9 
replace religion_practice_0=5 if h1re3==7

g religion_practice_1=(-1*religion_practice_0)+5



g religion_practice_d1=h1re3==1|h1re3==2

replace religion_practice_d1=. if h1re3==8 |h1re3==9 |h1re3==6

/*How important is religion to you? H1RE4 num 1
8667 1 very important
7232 2 fairly important
1273 3 fairly unimportant
628 4 not important at all
7 6 refused
2909 7 legitimate skip
30 8 dont know*/

gen religion_impor_d_1= (h1re4==1) | (h1re4==2)

replace religion_impor_d_1=. if h1re4==6 | h1re4==8

g religion_impor_d_0= 1-religion_impor_d_1


/*How important is religion to you? H1RE4 num 1
8667 1 very important
7232 2 fairly important
1273 3 fairly unimportant
628 4 not important at all
7 6 refused
2909 7 legitimate skip
30 8 dont know*/

gen religion_impo= h1re4

replace religion_impo= . if h1re4==6 | h1re4==8

g religion_impor=(-1*religion_impo)+5

replace religion_impor=. if h1re4==6 | h1re4==8

replace religion_impor=0 if h1re4==7


g religion_impor_0=(-1*religion_impor)+4



/*Which of the things listed on this card have you done with your
{MOTHER/ADOPTIVE MOTHER/STEPMOTHER/FOSTER
MOTHER/etc.} in the past 4 weeks?
gone to a religious service or church-related event H1WP17C num 1
12135 0 no
7325 1 yes
16 6 refused
1256 7 legitimate skip
13 8 dont know
1 9 not applicable
*/

gen church_with_moth= (h1wp17c==1)

replace church_with_moth=. if h1wp17c==6 | h1wp17c==7 | h1wp17c==8 | h1wp17c==9

/*Which of these things have you done with your {FATHER/ADOPTIVE
FATHER/ STEPFATHER/FOSTER FATHER/etc.} in the past 4 weeks?
gone to a religious service or church-related event H1WP18C num 1
10152 0 no
4278 1 yes
17 6 refused
6282 7 legitimate skip
15 8 dont know
2 9 not applicable*/

gen church_with_fath= (h1wp18c==1)

replace church_with_fath=. if h1wp18c==6 | h1wp18c==7 | h1wp18c==8 | h1wp18c==9


g rel_att_par_1=(church_with_fath==1 | church_with_moth==1)

replace rel_att_par_1=. if church_with_fath==. & church_with_moth==.

g rel_att_par_0= 1- rel_att_par_1




*****Religions affiliations
/*
1. What is your religion? H1RE1 num 2
2526 0 none [skip to the next section]
91 1 Adventist*
176 2 AME, AME Zion, CME*
142 3 Assemblies of God*
4505 4 Baptist*
2170 5 Christian Church (Disciples of Christ)*
61 6 Christian Science
84 7 Congregational*
264 8 Episcopal*
17 9 Friends/Quaker
235 10 Holiness*
252 11 Jehovahs Witness*
210 12 Latter Day Saints (Mormon)*
643 13 Lutheran*
974 14 Methodist*
6 15 National Baptist*
555 16 Pentecostal*
381 17 Presbyterian*
57 18 United Church of Christ*
637 19 other Protestant*
6 20 Bahai
121 21 Buddhist
5351 22 Catholic
55 23 Eastern Orthodox
24 24 Hindu
79 25 Islam, Moslem, Muslim
142 26 JewishConservative, Reformed, Orthodox, or Reconstructionist
20 27 Unitarian
555 28 other religion
118 96 refused [skip to the next section]
282 98 dont know [skip to the next section]
7 99 not applicable [skip to the next section]

*/
g atheist= h1re1==0
replace atheist=. if h1re1>95


g catholic= (h1re1==22)
replace catholic=. if h1re1>95

g protestant= (h1re1>=1 & h1re1<11) | (h1re1>=13 & h1re1<=19)
replace protestant=. if h1re1>95

g other_christian=(h1re1>10 & h1re1<13) | h1re1==23 | h1re1==27
replace other_christian=. if h1re1>95

g jewish= h1re1==26
replace jewish=. if h1re1>95


g asian_religion= h1re1==21 | h1re1==24
replace asian_religion=. if h1re1>95


g muslim=h1re1==25
replace muslim=. if h1re1>95


g other_religion=h1re1==28 | h1re1==20
replace other_religion=. if h1re1>95


*******************PARENT TYPE*********************************************************

/*A24. How important is religion to you? PA24 num 1
11258 1 very important
4397 2 fairly important
645 3 fairly unimportant
198 4 not important at all
38 6 refused
1088 7 legitimate skip
46 ! missing
*/


g H_religious_parent= pa24==1 | pa24==2

replace H_religious_parent=. if pa24==6 | pa24==3 |pa24==.


g religion_parent = pa24

replace religion_parent=. if pa24==6  | pa24==.

*replace religion_parent=0 if pa24==7

/*A25. How often do you pray? PA25 num 1
11855 1 at least once a day
2326 2 at least once a week
455 3 at least once a month
1614 4 from time to time, but less than once a month
227 5 never
54 6 refused
1088 7 legitimate skip
51 ! missing*/


g pray_parent=pa25

replace pray_parent=. if pa25==6 




/*How often have you gone to religious services in the past year? PA23 num 1
6794 1 once a week or more
3283 2 less than once a week, but at least once a month
4169 3 less than once a month
2258 4 never
43 6 refused
1088 7 legitimate skip
35 ! missing
*/

g H_religious_parent_fr= pa23==1 | pa23==2

replace H_religious_parent_fr=. if pa23==6 | pa23==.


g religion_parent_fr=pa23

replace religion_parent_fr=. if religion_parent_fr==6


g H_religious_parent_fr3= pa23==1 | pa23==2

replace H_religious_parent_fr3=. if pa23==6 | pa23==3 | pa23==.




*****Religions affiliations
/*
1. What is your religion? H1RE1 num 2
2526 0 none [skip to the next section]
91 1 Adventist*
176 2 AME, AME Zion, CME*
142 3 Assemblies of God*
4505 4 Baptist*
2170 5 Christian Church (Disciples of Christ)*
61 6 Christian Science
84 7 Congregational*
264 8 Episcopal*
17 9 Friends/Quaker
235 10 Holiness*
252 11 Jehovahs Witness*
210 12 Latter Day Saints (Mormon)*
643 13 Lutheran*
974 14 Methodist*
6 15 National Baptist*
555 16 Pentecostal*
381 17 Presbyterian*
57 18 United Church of Christ*
637 19 other Protestant*
6 20 Bahai
121 21 Buddhist
5351 22 Catholic
55 23 Eastern Orthodox
24 24 Hindu
79 25 Islam, Moslem, Muslim
142 26 JewishConservative, Reformed, Orthodox, or Reconstructionist
20 27 Unitarian
555 28 other religion
118 96 refused [skip to the next section]
282 98 dont know [skip to the next section]
7 99 not applicable [skip to the next section]

*/


g atheist_p = pa22==28
replace atheist_p=. if pa22>95


g catholic_p= (pa22==7)
replace catholic_p=. if pa22>95

g protestant_p= (pa22>=1 & pa22<6) | (pa22>=8 & pa22<=10) | (pa22>=12 & pa22<=13) | pa22==15
replace protestant_p=. if pa22>95

g other_christian_p=pa22==17 | pa22==19  |pa22==11 | pa22==27
replace other_christian_p=. if pa22>95

g jewish_p= pa22==18
replace jewish_p=. if pa22>95


g asian_religion_p= pa22==6 | pa22==14
replace asian_religion_p=. if pa22>95


g muslim_p=pa22==16
replace muslim_p=. if pa22>95


g other_religion_p=pa22==24 
replace other_religion_p=. if pa22>95

****mother

g atheist_p2 = pb7==28
replace atheist_p2=. if pb7>95


g catholic_p2= (pb7==7)
replace catholic_p2=. if pb7>95

g protestant_p2= (pb7>=1 & pb7<6) | (pb7>=8 & pb7<=10) | (pb7>=12 & pb7<=13) | pb7==15
replace protestant_p2=. if pb7>95

g other_christian_p2=pa22==17 | pb7==19  |pb7==11 | pb7==27
replace other_christian_p2=. if pb7>95

g jewish_p2= pb7==18
replace jewish_p2=. if pb7>95


g asian_religion_p2= pb7==6 | pb7==14
replace asian_religion_p2=. if pa22>95


g muslim_p2=pb7==16
replace muslim_p2=. if pb7>95


g other_religion_p2=pb7==24 
replace other_religion_p2=. if pb7>95


rename ah_pvt pvtscore




*****Residential neighborhood variables****

 /*11. How well kept is the building in which the respondent lives? H1IR11 num 1
11038 1 very well kept
6302 2 fairly well kept (needs cosmetic work)
2077 3 poorly kept (needs minor repairs)
1002 4 very poorly kept (needs major repairs)
9 6 refused
307 8 dont know
4 9 not applicable
7 ! missinginterviewer did not complete due to machine problems


12. How would you describe the immediate area or street (one block,
both sides) where the respondent lives? H1IR12 num 2
4964 1 rural [skip to Q.15]
7496 2 suburban
7163 3 urban, residential only
499 4 3 or more commercial properties, mostly retail
145 5 3 or more commercial properties, mostly wholesale or industrial
205 6 other
9 96 refused
255 98 dont know
3 99 not applicable
7 ! missinginterviewer did not complete due to machine problems*/

****reference category rural


gen resident_building_quality = h1ir11

replace resident_building_quality =. if h1ir11 == 6 | h1ir11 == 8 | h1ir11 == 9 

gen residential_area_suburban = (h1ir12== 2)
replace residential_area_suburban=. if h1ir12== 96 |h1ir12== 98 |h1ir12== 99 

gen residential_area_urban = (h1ir12== 3)
replace residential_area_urban=. if h1ir12== 96 |h1ir12== 98 |h1ir12== 99 

gen residential_area_other = (h1ir12== 4 | h1ir12== 5 | h1ir12== 6)
replace residential_area_other=. if h1ir12== 96 |h1ir12== 98 |h1ir12== 99 





*11 Household Roster
rename h1hr15 sibrankw1
replace sibrank=. if sibrank==99
rename h1hr14 numsibsw1
recode numsibsw1 96=. 98=. 99=.
replace numsibsw1=numsibsw1-1






*Parent
rename pa1 parentgender
rename pa2 parentage
replace parentage=. if parentage==996
rename pa3 parentbornus
recode parentbornus 6=. 
rename pa10 maritalw1



rename pa55 familyincw1
replace familyinc=. if familyinc>9000



rename pc2 livebiomomw1
recode livebiomomw1 6=. 7=1
rename pc6b livebiodadw1
recode livebiodadw1 6=. 7=1
rename pa64 momsmokenoww1
recode momsmokenoww1 6=. 7=0



rename h1gi1y  birthyear
rename iyear interviewyear

gen married=(marital==2)

gen agew1=interviewyear-birthyear



egen pvtscorew1=std(pvtscore)

rename h1gi13y moveusyearw1
recode moveusyearw1 96=. 97=0 98=. 99=.

impute familyincw1 female latino black_african pr_edu , gen (familyincw1i)
replace familyincw1i=familyincw1i/100


impute parentage familyincw1i agew1, gen(parentagei)
replace parentagei=round(parentagei,1)
replace familyincw1i=round(familyincw1i,.25)
gen parentdummy=1 if pr_edu==.|familyincw1==.|parentage==.
replace parentdummy=0 if parentdummy~=1
gen birthorder=sibrankw1
recode birthorder 96=. 98=. 97=1
gen oldersib=1 if birthorder>1 & birthorder<15
replace oldersib=0 if oldersib~=1
replace oldersib=. if birthorder==.
gen numolder=birthorder-1


gen livebothbiow1=1 if livebiomomw1==1 & livebiodadw1==1
replace livebothbiow1=0 if livebothbiow1~=1
replace livebothbiow1=. if livebiomomw1==.| livebiodadw1==.

gen yearsinus=moveusyear-birthyear if moveusyear>0
replace yearsinus=agew1 if moveusyear==0
gen parentyears=yearsinus
replace parentyears=parentagei if parentbornus==1
replace parentdummy=1 if livebothbiow1==.|parentbornus==.|parentyears==.
replace married=. if maritalw1==.
sum married
replace married=r(mean) if married==.

sum parentyears
replace parentyears=r(mean) if parentyears==.
sum parentbornus
replace parentbornus=r(mean) if parentbornus==.

gen logfamilyincomew1=log(familyincw1i+1)
sum livebothbiow1
replace livebothbiow1=r(mean) if livebothbiow1==.

gen singleparent=1-married
gen numberoldersibs=birthorder-1


drop h1* s1* s2* s3* s4* s5* s6* pb* pc* pd* intid smp*



drop if aid==.


saveold db2, replace


clear

*********************inport average religiosity of peers from nomination data************************


insheet using "C:\out1.txt", delimiter(";")

merge 1:1 aid using  db2.dta

drop _m

saveold db2.dta, replace

clear 

use db2.dta


**********************merge school information

merge m:m sscid using school_inf.dta

 
drop _m

saveold dbn.dta, replace





