
**************************************************************
                *Table 2: Social Networks and Parental Behavior in the 
					*Intergenerational Transmission of Religion *     
                       * Eleonora Patacchini Yves Zenou                             
                            
**************************************************************
**                                                            
**  YEAR:    2015                  
**                                                            
**                                                            
**  Input Data Sets: dbn.dta	 
**  Output tab2.xls tab2f.xls (first step)                                    
**                                       
**                                    
**                                                            
**  Description:  Table 2 paper: Social Networks and Parental Behavior in the 
					*Intergenerational Transmission of Religion * 
** 						    * Eleonora Patacchini Yves Zenou                             

**                                     	
**  Date first written: August 2, 2011
**  Date this vesrion:  December 30, 2015
***************************************************************


clear all

cd ""
use ""


********** coding instrument


by  scid female student_grade catholic protestant other_christian jewish muslim other_religion atheist white black asian  , sort: egen iv1p=mean(religion_practice_1)


********** coding controls


by scid catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races, sort: egen iv1p_av_grade_gender=mean(religion_practice_1)

replace iv1p=. if female==. |student_grade==. |catholic==. |white==.

replace iv1p_av_grade_gender=. if female==. |student_grade==. |catholic==.|white==.


g inter_iv1p=iv1p_av_grade_gender*student_grade



*******drop non religious parents


drop if religion_parent_fr==7

xtset scid
preserve

**************************************************More religious parent sample************************************************************
keep if religion_parent_fr==1 |religion_parent_fr==2 

tab religion_parent_fr


gen std_y=rel_att_par_1

gen std_z=p_religion_practice1

gen std_w=iv1p



local var1 d_grade1 d_grade2 d_grade3 d_grade4 black asian  other_races  student_grade pr_edu_max female math_score_A math_score_B math_score_C math_score_missing   resident_building_quality catholic protestant other_christian jewish muslim other_religion


gen std_iv1pd_av_grade_gender = iv1p_av_grade_gender


gen std_household_size=household_size

gen std_two_parent=two_parent


gen std_inter_iv1pd=inter_iv1p

xtreg   p_religion_practice1 iv1p   std_iv1pd_av_grade_gender `var1' ,fe
outreg2 using tab2f, bdec(2) nor2 sdec(2) se asterisk(coef)  nolabel excel replace  ctitle("h")

predict phat2
g interend=p_religion_practice1*H_religious_parent_fr

g interiv=iv1p*H_religious_parent_fr
g inter=phat2*H_religious_parent_fr

xtivreg2 std_y (  std_z =std_w )   std_iv1pd_av_grade_gender `var1' , fe first

 bysort net_id: gen counter=_n if e(sample)==1
 sum counter if e(sample)==1

sum rel_att_par_1 p_religion_impor_d1 p_religion_impor  p_religion_practice_d1  p_religion_practice1 iv1p female student_grade black asian  other_races    math_score_A math_score_B math_score_C math_score_missing /*
*/ catholic protestant other_christian jewish asian_religion muslim other_religion household_size two_parent  pr_edu_max resident_building_quality if e(sample)==1

 ***beta coefficients

 sum std_y  if e(sample)==1
 g sdy=r(sd)
 sum phat2 if e(sample)==1
 g sdiv=r(sd)
 replace sdiv=sdiv/sdy
 
 mat b = e(b)
local bw = b[1,1]
g beta=`bw'*sdiv
 
outreg2 using tab2, bdec(2) nor2 sdec(2) se asterisk(coef)  nolabel excel replace addstat(F1-test,e(widstat) , "sdiv",beta ) ctitle("h")


xtreg   p_religion_practice1 iv1p    std_iv1pd_av_grade_gender `var1' std_household_size std_two_parent ,fe
outreg2 using tab2f, bdec(2) nor2 sdec(2) se asterisk(coef)  nolabel excel append  ctitle("h")

predict phat3


xtivreg2 std_y (  std_z =std_w )  std_iv1pd_av_grade_gender `var1' std_household_size std_two_parent , fe first


***beta coefficients


 sum std_y  if e(sample)==1
 g sdy2=r(sd)
 sum phat3 if e(sample)==1
 g sdiv2=r(sd)
 replace sdiv2=sdiv2/sdy2
 mat b = e(b)
local bw = b[1,1]
g beta2=`bw'*sdiv2
outreg2 using tab2, bdec(2) nor2 sdec(2) se asterisk(coef)  nolabel excel append addstat(F1-test, e(widstat) , "sdiv",beta2 ) ctitle("h")



xtreg   p_religion_practice1 iv1p  std_iv1pd_av_grade_gender std_inter_iv1pd `var1' std_household_size std_two_parent ,fe
outreg2 using tab2f, bdec(2) nor2 sdec(2) se asterisk(coef)  nolabel excel append  ctitle("h")

predict phat4

xtivreg2 std_y (  std_z =std_w )  std_iv1pd_av_grade_gender std_inter_iv1pd `var1' std_household_size std_two_parent , fe first


***beta coefficients


   sum std_y  if e(sample)==1
 g sdy3=r(sd)
 sum phat4 if e(sample)==1
 g sdiv3=r(sd)
 replace sdiv3=sdiv3/sdy3
   mat b = e(b)
local bw = b[1,1]
g beta3=`bw'*sdiv3
outreg2 using tab2, bdec(2) nor2 sdec(2) se asterisk(coef)  nolabel excel append addstat(F1-test,e(widstat) ,  "sdiv",beta3  ) ctitle("h")



**********************************Less religious parent sample**********************************************************************


restore

preserve
keep if   religion_parent_fr==3 |religion_parent_fr==4 |religion_parent_fr==0 


gen std_y=rel_att_par_1

gen std_z=p_religion_practice1

gen std_w=iv1p



local var1 d_grade1 d_grade2 d_grade3 d_grade4 black asian  other_races  student_grade pr_edu_max female math_score_A math_score_B math_score_C math_score_missing   resident_building_quality catholic protestant other_christian jewish muslim other_religion


gen std_iv1pd_av_grade_gender = iv1p_av_grade_gender


gen std_household_size=household_size

gen std_two_parent=two_parent


gen std_inter_iv1pd=inter_iv1p

xtreg   p_religion_practice1 iv1p   std_iv1pd_av_grade_gender `var1' ,fe
outreg2 using tab2f, bdec(2) nor2 sdec(2) se asterisk(coef)  nolabel excel append  ctitle("h")

predict phat2


xtivreg2 std_y (  std_z=std_w) std_iv1pd_av_grade_gender `var1' , fe first

***beta coefficients
sum std_y  if e(sample)==1
 g sdy=r(sd)
 sum phat2 if e(sample)==1
 g sdiv=r(sd)
 replace sdiv=sdiv/sdy
 
 mat b = e(b)
local bw = b[1,1]
g beta=`bw'*sdiv

 bysort net_id: gen counter=_n if e(sample)==1
 sum counter if e(sample)==1

 sum rel_att_par_1 p_religion_impor_d1 p_religion_impor  p_religion_practice_d1  p_religion_practice1 iv1p female student_grade black asian  other_races    math_score_A math_score_B math_score_C math_score_missing /*
*/ catholic protestant other_christian jewish asian_religion muslim other_religion household_size two_parent  pr_edu_max resident_building_quality if e(sample)==1
 
outreg2 using tab2, bdec(2) nor2 sdec(2) se asterisk(coef)  nolabel excel append addstat(F1-test,e(widstat) , "sdiv",beta ) ctitle("l")


xtreg   p_religion_practice1 iv1p    std_iv1pd_av_grade_gender `var1' std_household_size std_two_parent ,fe
outreg2 using tab2f, bdec(2) nor2 sdec(2) se asterisk(coef)  nolabel excel append  ctitle("h")

predict phat3


xtivreg2  std_y (  std_z=std_w) std_iv1pd_av_grade_gender `var1' std_household_size std_two_parent , fe first

***beta coefficients

 sum std_y  if e(sample)==1
 g sdy2=r(sd)
 sum phat3 if e(sample)==1
 g sdiv2=r(sd)
 replace sdiv2=sdiv2/sdy2
mat b = e(b)
local bw = b[1,1]
g beta2=`bw'*sdiv2
outreg2 using tab2, bdec(2) nor2 sdec(2) se asterisk(coef)  nolabel excel append addstat(F1-test, e(widstat) , "sdiv",beta2 ) ctitle("l")



xtreg   p_religion_practice1 iv1p  std_iv1pd_av_grade_gender std_inter_iv1pd `var1' std_household_size std_two_parent ,fe
outreg2 using tab2f, bdec(2) nor2 sdec(2) se asterisk(coef)  nolabel excel append  ctitle("h")

predict phat4
local var1 d_grade1 d_grade2 d_grade3 d_grade4 black asian  other_races  student_grade pr_edu_max female math_score_A math_score_B math_score_C math_score_missing   resident_building_quality catholic protestant other_christian jewish muslim other_religion

xtivreg2  std_y (  std_z=std_w) std_iv1pd_av_grade_gender std_inter_iv1pd `var1' std_household_size std_two_parent , fe first

***beta coefficients

 sum std_y  if e(sample)==1
 g sdy3=r(sd)
 sum phat4 if e(sample)==1
 g sdiv3=r(sd)
 replace sdiv3=sdiv3/sdy3
 mat b = e(b)
local bw = b[1,1]
g beta3=`bw'*sdiv3
outreg2 using tab2, bdec(2) nor2 sdec(2) se asterisk(coef)  nolabel excel append addstat(F1-test,e(widstat) ,  "sdiv",beta3  ) ctitle("l")




