**************************************************************
                *Table 3 paper: Social Networks and Parental Behavior in the 
					*Intergenerational Transmission of Religion *     
                          * Eleonora Patacchini Yves Zenou                             
                            
**************************************************************
**                                                            
**  YEAR:    2015                  
**                                                            
**                                                            
**  Input Data Sets: dbn.dta 
**  Output tab3.xls                                
**                                       
**                                    
**                                                            
**  Description:  Table 3 paper: Social Networks and Parental Behavior in the 
					*Intergenerational Transmission of Religion * 
** 					        * Eleonora Patacchini Yves Zenou                             

**                                     	
**  Date first written: August 2, 2011
**  Date this vesrion:  December 30, 2015
***************************************************************


clear all

cd ""
use ""



*** coding ethnicity dummies

replace other_races=1 if native==1



********** coding instrument

by scid female student_grade protestant other_christian jewish muslim other_religion atheist white black asian  native other_races, sort: egen iv1p=mean(religion_practice_1)


********** coding controls


by scid catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races, sort: egen iv1p_av_grade_gender=mean(religion_practice_1)

replace iv1p=. if female==. |student_grade==. |catholic==. |white==.

replace iv1p_av_grade_gender=. if female==. |student_grade==. |catholic==.|white==.


g inter_iv1p=iv1p_av_grade_gender*student_grade


*******drop non religious parents


drop if religion_parent_fr==7


xtset scid



gen std_y=rel_att_par_1

gen std_z=p_religion_practice_d1

gen std_w=iv1p



local var1 d_grade1 d_grade2 d_grade3 d_grade4 pvtscorew1 parentagei parentborn parentyears parentdummy logfamilyincomew1 singleparent livebothbiow1 pr_edu numberoldersibs black asian  other_races  student_grade  female  catholic protestant other_christian jewish muslim other_religion


gen std_iv1pd_av_grade_gender = iv1p_av_grade_gender


gen std_household_size=household_size

gen std_two_parent=two_parent


gen std_inter_iv1pd=inter_iv1p

xtivreg2 std_y (  std_z=std_w)  `var1' , fe first

g samp=e(sample)

sum pvtscorew1 agew1 parentagei parentborn parentdummy logfamilyincomew1  singleparent livebothbiow1 pr_edu numberoldersibs religion_parent_fr if e(sample)==1

local var1  pvtscorew1 agew1 parentagei parentborn parentdummy logfamilyincomew1  singleparent livebothbiow1 pr_edu numberoldersibs  d_grade1 d_grade2 d_grade3 d_grade4 black asian  other_races  student_grade  female  catholic protestant other_christian jewish muslim other_religion



local var1  pvtscorew1 agew1 parentagei parentborn parentdummy logfamilyincomew1  singleparent livebothbiow1 pr_edu numberoldersibs  d_grade1 d_grade2 d_grade3 d_grade4 black asian  other_races  student_grade  female  catholic protestant other_christian jewish muslim other_religion

xtreg   iv1p   iv1p_av_grade_gender  `var1' if samp==1 ,fe  
outreg2 using tab3, bdec(4) nor2 sdec(4) se asterisk(coef)  nolabel excel replace ctitle("all")



