

**************************************************************
                *Table 4 paper: Social Networks and Parental Behavior in the 
					*Intergenerational Transmission of Religion *     
                           * Eleonora Patacchini Yves Zenou                             
**************************************************************
**                                                            
**  YEAR:    2015                  
**                                                            
**                                                            
**  Input Data Sets: dbn.dta	 
**  Output tab4 tab4f.xls (first step)                                    
**                                       
**                                    
**                                                            
**  Description:  Table 4 placebo tests paper: Social Networks and Parental Behavior in the 
					*Intergenerational Transmission of Religion * 
					* Eleonora Patacchini Yves Zenou
**                                      	
**  Date first written: August 2, 2011
**  Date this vesrion:  December 30, 2015
***************************************************************


clear all

cd ""
use ""



*** coding ethnicity dummies

replace other_races=1 if native==1


rename sscid schoolidw1
sort schoolidw1
gen double schoolidg=schoolidw1*100+student_grade



*** coding instrument and controls



by  scid female student_grade catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1p=mean(religion_practice_1)

by scid catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races, sort: egen iv1p_av_grade_gender=mean(religion_practice_1)

replace iv1p=. if female==. |student_grade==. |catholic==. |white==.

replace iv1p_av_grade_gender=. if female==. |student_grade==. |catholic==.|white==.


g inter_iv1p=iv1p_av_grade_gender*student_grade


*RANDOMIZATION
bysort schoolidw1: gen draw=uniform()
bysort schoolidg:  gen firstguy=_n
replace firstguy=0 if firstguy~=1
bysort schoolidg:  egen firstdraw=max(draw*firstguy) 
replace draw=firstdraw

*Gen Fake Grades--With Replacement, Leave Out Own Grade

by  net_id female catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1pg1=mean(religion_practice_1) if student_grade==7
by  net_id female  catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1pgr1=mean(iv1pg1) 
egen m_ivpgr1=mean(iv1pgr1)
 


by  net_id female catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1pg2=mean(religion_practice_1)  if student_grade==8
by  net_id female  catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1pgr2=mean(iv1pg2) 
egen m_ivpgr2=mean(iv1pgr2)


by  net_id female catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1pg3=mean(religion_practice_1)  if student_grade==9
by  net_id female  catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1pgr3=mean(iv1pg3) 
egen m_ivpgr3=mean(iv1pgr3)


by  net_id female catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1pg4=mean(religion_practice_1) if student_grade==10
by  net_id female  catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1pgr4=mean(iv1pg4) 
egen m_ivpgr4=mean(iv1pgr4)


by  net_id female catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1pg5=mean(religion_practice_1) if student_grade==11
by  net_id female  catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1pgr5=mean(iv1pg5) 
egen m_ivpgr5=mean(iv1pgr5)

by  net_id female catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1pg6=mean(religion_practice_1) if student_grade==12
by  net_id female  catholic protestant other_christian jewish muslim other_religion atheist white black asian  native other_races , sort: egen iv1pgr6=mean(iv1pg6) 
egen m_ivpgr6=mean(iv1pgr6)

g iv1p_gr=.

replace iv1p_gr=iv1pgr2  if student_grade==7 & draw>=0 & draw<=.20 
replace  iv1p_gr=m_ivpgr2 if student_grade==7 & draw>=0 & draw<=.20 & iv1p_gr==.
replace iv1p_gr=iv1pgr3  if student_grade==7 & draw>.20 & draw<=.33 
replace  iv1p_gr=m_ivpgr3 if student_grade==7 & draw>.20 & draw<=.33  & iv1p_gr==.
  
replace iv1p_gr=iv1pgr4  if student_grade==7 & draw>.33 & draw<=.50
replace  iv1p_gr=m_ivpgr4 if student_grade==7 & draw>.33 & draw<=.50  & iv1p_gr==.

replace iv1p_gr=iv1pgr5  if student_grade==7 & draw>.50 & draw<=.80  
replace  iv1p_gr=m_ivpgr5 if student_grade==7 & draw>.50 & draw<=.80  & iv1p_gr==.
 
replace iv1p_gr=iv1pgr6  if student_grade==7 & draw>.80 & draw<=1 
replace  iv1p_gr=m_ivpgr6 if student_grade==7 & draw>.80 & draw<=1   & iv1p_gr==.

 
replace iv1p_gr=iv1pgr1  if student_grade==8 & draw>=0 & draw<=.20 
replace  iv1p_gr=m_ivpgr1 if student_grade==8 & draw>=0 & draw<=.20 & iv1p_gr==.
replace iv1p_gr=iv1pgr3  if student_grade==8 & draw>.20 & draw<=.33 
replace  iv1p_gr=m_ivpgr3 if student_grade==8 & draw>.20 & draw<=.33  & iv1p_gr==.
  
replace iv1p_gr=iv1pgr4  if student_grade==8 & draw>.33 & draw<=.50
replace  iv1p_gr=m_ivpgr4 if student_grade==8 & draw>.33 & draw<=.50  & iv1p_gr==.

replace iv1p_gr=iv1pgr5  if student_grade==8 & draw>.50 & draw<=.80  
replace  iv1p_gr=m_ivpgr5 if student_grade==8 & draw>.50 & draw<=.80  & iv1p_gr==.
 
replace iv1p_gr=iv1pgr6  if student_grade==8 & draw>.80 & draw<=1 
replace  iv1p_gr=m_ivpgr6 if student_grade==8 & draw>.80 & draw<=1   & iv1p_gr==.
 


replace iv1p_gr=iv1pgr1  if student_grade==9 & draw>=0 & draw<=.20 
replace  iv1p_gr=m_ivpgr1 if student_grade==9 & draw>=0 & draw<=.20 & iv1p_gr==.
replace iv1p_gr=iv1pgr2  if student_grade==9 & draw>.20 & draw<=.33 
replace  iv1p_gr=m_ivpgr2 if student_grade==9 & draw>.20 & draw<=.33  & iv1p_gr==.
  
replace iv1p_gr=iv1pgr4  if student_grade==9 & draw>.33 & draw<=.50
replace  iv1p_gr=m_ivpgr4 if student_grade==9 & draw>.33 & draw<=.50  & iv1p_gr==.

replace iv1p_gr=iv1pgr5  if student_grade==9 & draw>.50 & draw<=.80  
replace  iv1p_gr=m_ivpgr5 if student_grade==9 & draw>.50 & draw<=.80  & iv1p_gr==.
 
replace iv1p_gr=iv1pgr6  if student_grade==9 & draw>.80 & draw<=1 
replace  iv1p_gr=m_ivpgr6 if student_grade==9 & draw>.80 & draw<=1   & iv1p_gr==.
 


replace iv1p_gr=iv1pgr1  if student_grade==10 & draw>=0 & draw<=.20 
replace  iv1p_gr=m_ivpgr1 if student_grade==10 & draw>=0 & draw<=.20 & iv1p_gr==.
replace iv1p_gr=iv1pgr2  if student_grade==10 & draw>.20 & draw<=.33 
replace  iv1p_gr=m_ivpgr2 if student_grade==10 & draw>.20 & draw<=.33  & iv1p_gr==.
  
replace iv1p_gr=iv1pgr3  if student_grade==10 & draw>.33 & draw<=.50
replace  iv1p_gr=m_ivpgr3 if student_grade==10 & draw>.33 & draw<=.50  & iv1p_gr==.

replace iv1p_gr=iv1pgr5  if student_grade==10 & draw>.50 & draw<=.80  
replace  iv1p_gr=m_ivpgr5 if student_grade==10 & draw>.50 & draw<=.80  & iv1p_gr==.
 
replace iv1p_gr=iv1pgr6  if student_grade==10 & draw>.80 & draw<=1 
replace  iv1p_gr=m_ivpgr6 if student_grade==10 & draw>.80 & draw<=1   & iv1p_gr==.
 

replace iv1p_gr=iv1pgr1  if student_grade==11 & draw>=0 & draw<=.20 
replace  iv1p_gr=m_ivpgr1 if student_grade==11 & draw>=0 & draw<=.20 & iv1p_gr==.
replace iv1p_gr=iv1pgr2  if student_grade==11 & draw>.20 & draw<=.33 
replace  iv1p_gr=m_ivpgr2 if student_grade==11 & draw>.20 & draw<=.33  & iv1p_gr==.
  
replace iv1p_gr=iv1pgr3  if student_grade==11 & draw>.33 & draw<=.50
replace  iv1p_gr=m_ivpgr3 if student_grade==11 & draw>.33 & draw<=.50  & iv1p_gr==.

replace iv1p_gr=iv1pgr4  if student_grade==11 & draw>.50 & draw<=.80  
replace  iv1p_gr=m_ivpgr4 if student_grade==11 & draw>.50 & draw<=.80  & iv1p_gr==.
 
replace iv1p_gr=iv1pgr6  if student_grade==11 & draw>.80 & draw<=1 
replace  iv1p_gr=m_ivpgr6 if student_grade==11 & draw>.80 & draw<=1   & iv1p_gr==.

replace iv1p_gr=iv1pgr1  if student_grade==12 & draw>=0 & draw<=.20 
replace  iv1p_gr=m_ivpgr1 if student_grade==12 & draw>=0 & draw<=.20 & iv1p_gr==.
replace iv1p_gr=iv1pgr2  if student_grade==12 & draw>.20 & draw<=.33 
replace  iv1p_gr=m_ivpgr2 if student_grade==12 & draw>.20 & draw<=.33  & iv1p_gr==.
  
replace iv1p_gr=iv1pgr3  if student_grade==12 & draw>.33 & draw<=.50
replace  iv1p_gr=m_ivpgr3 if student_grade==12 & draw>.33 & draw<=.50  & iv1p_gr==.

replace iv1p_gr=iv1pgr4  if student_grade==12 & draw>.50 & draw<=.80  
replace  iv1p_gr=m_ivpgr4 if student_grade==12 & draw>.50 & draw<=.80  & iv1p_gr==.
 
replace iv1p_gr=iv1pgr5  if student_grade==12 & draw>.80 & draw<=1 
replace  iv1p_gr=m_ivpgr5 if student_grade==12 & draw>.80 & draw<=1   & iv1p_gr==.





******************setting regressions


drop if religion_parent_fr==7

xtset scid





gen std_y=rel_att_par_1

gen std_z=p_religion_practice1

gen std_w=iv1p_gr



local var1 d_grade1 d_grade2 d_grade3 d_grade4 black asian  other_races  student_grade pr_edu_max female math_score_A math_score_B math_score_C math_score_missing   resident_building_quality catholic protestant other_christian jewish muslim other_religion


gen std_iv1pd_av_grade_gender = iv1p_av_grade_gender


gen std_household_size=household_size

gen std_two_parent=two_parent


gen std_inter_iv1pd=inter_iv1p

xtreg   iv1p   `var1' ,fe


xtreg    std_z std_w iv1p_av_grade_gender iv1p_av_grade_gender  `var1'  ,fe
outreg2 using tab4f, bdec(3) nor2 sdec(3) se asterisk(coef)  nolabel excel replace  ctitle("all")

predict phat2

local var1 d_grade1 d_grade2 d_grade3 d_grade4 black asian  other_races  student_grade pr_edu_max female math_score_A math_score_B math_score_C math_score_missing   resident_building_quality catholic protestant other_christian jewish muslim other_religion

xtivreg2 std_y (  std_z=std_w)  iv1p_av_grade_gender  `var1'  , fe first

***beta coefficients

bysort net_id: gen counter=_n if e(sample)==1
sum counter if e(sample)==1

sum std_y  if e(sample)==1
g sdy=r(sd)
sum phat2 if e(sample)==1
g sdiv=r(sd) 
replace sdiv=sdiv/sdy
 
 mat b = e(b)
local bw = b[1,1]
g beta=`bw'*sdiv
 
outreg2 using tab4, bdec(3) nor2 sdec(3) se asterisk(coef)  nolabel excel replace addstat(F1-test,e(widstat) , "sdiv",beta ) ctitle("all")


xtreg   std_z std_w  iv1p_av_grade_gender   `var1' std_household_size std_two_parent ,fe
outreg2 using tab4f, bdec(3) nor2 sdec(3) se asterisk(coef)  nolabel excel append  ctitle("all")

predict phat3


xtivreg2  std_y (  std_z=std_w)  `var1' iv1p_av_grade_gender std_household_size std_two_parent , fe first

***beta coefficients


 sum std_y  if e(sample)==1
 g sdy2=r(sd)
 sum phat3 if e(sample)==1
 g sdiv2=r(sd)
 replace sdiv2=sdiv2/sdy2
 mat b = e(b)
local bw = b[1,1]
g beta2=`bw'*sdiv2
outreg2 using tab4, bdec(3) nor2 sdec(3) se asterisk(coef)  nolabel excel append addstat(F1-test, e(widstat) , "sdiv",beta2 ) ctitle("all")



xtreg   std_z std_w  iv1p_av_grade_gender  std_inter_iv1pd `var1' std_household_size std_two_parent ,fe
outreg2 using tab4f, bdec(3) nor2 sdec(3) se asterisk(coef)  nolabel excel append  ctitle("all")

predict phat4

xtivreg2  std_y (  std_z=std_w)  std_inter_iv1pd `var1' iv1p_av_grade_gender std_household_size std_two_parent , fe first

***beta coefficients

 sum std_y  if e(sample)==1
 g sdy3=r(sd)
 sum phat4 if e(sample)==1
 g sdiv3=r(sd)
 replace sdiv3=sdiv3/sdy3
 mat b = e(b)
local bw = b[1,1]
g beta3=`bw'*sdiv3
outreg2 using tab4, bdec(3) nor2 sdec(3) se asterisk(coef)  nolabel excel append addstat(F1-test,e(widstat) ,  "sdiv",beta3  ) ctitle("all")




